import { Line, Area, Bar, Column, Pie, DualAxes, Rose, Scatter, Stock, Mix } from '@antv/g2plot';
import { ChartDatasourceErrorEvent } from './chart-datasource/chart-datasource.types';
import { chartErrorNames } from './chart.definitions';
export type ChartModels = Line | Area | Bar | Column | Pie | DualAxes | Rose | Scatter | Stock | Mix;
export type ChartTypes = 'line' | 'area' | 'column' | 'bar' | 'pie' | 'donut' | 'dualaxes' | 'rose' | 'scatter' | 'stock' | 'mix';
/**
 * Chart Event Listeners
 * @internal
 */
export type ChartEventsListeners = {
    key: string;
    action: (event: Event) => void;
}[];
/**
 * Chart Error Types
 * @public
 */
export type ChartErrorTypes = keyof typeof chartErrorNames;
/**
 * Chart Error Item
 * @public
 */
export interface ChartErrorItem<ChartErrorItemDetailType> {
    detail: ChartErrorItemDetailType;
    type: ChartErrorTypes;
}
/**
 * Chart possible error events
 * @public
 */
export type ChartErrorEvent = ChartDatasourceErrorEvent | CustomEvent<ChartErrorItem<any>>;
//# sourceMappingURL=chart.types.d.ts.map